Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.parser
Class SymboleDef

    java.lang.Object
      |
      +--org.openorb.compiler.parser.SymboleDef

public class SymboleDef
extends java.lang.Object

IDL grammar symbols.

Version:
  $Revision: 1.5 $ $Date: 2002/08/21 08:19:25 $
Author:
  Jerome Daniel

Field Summary
`java.lang.String` | `symbole_name` Indicates the symbol name (reserved word, for example interface, module, struct).
`int` | `symbole_token` Describes the current symbol token.

Constructor Summary
`SymboleDef(int symbole_token, java.lang.String symbole_name)` Set the token and reserved word.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### symbole_token

    public int symbole_token

  Describes the current symbol token.

### symbole_name

    public java.lang.String symbole_name

  Indicates the symbol name (reserved word, for example interface, module, struct).

Constructor Detail

### SymboleDef

    public SymboleDef(int symbole_token,
                      java.lang.String symbole_name)

  Set the token and reserved word.
  Parameters:
    `symbole_token` - symbol token
    `symbole_name` - reserved word

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD